@charset "UTF-8";
/* CSS Document (ハンバーガーメニュー) */

.hamburger_menu{
}

/*アイコン*/
#nav_toggle{
  position: fixed;
  top: 22px;
  right: 20px;
  width: 30px;
  cursor: pointer;
  z-index: 999;
  display: none;
}
#nav_toggle > div{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 13px;
}
#nav_toggle span{
  width: 100%;
  height:  1px;
  position: absolute;
  left: 0;
  display: block;
  background-color: #000;
  transition: transform 0.4s ease-in-out, top 0.3s ease;
}
#nav_toggle span:nth-child(1) {
  top: 0;
}
#nav_toggle span:nth-child(2) {
  top: 6px;
}
#nav_toggle span:nth-child(3) {
  top: 12px;
}
/*open*/
.open #nav_toggle span:nth-child(1) {
  top: 9px;
  transform: rotate(45deg);
}
.open #nav_toggle span:nth-child(2) {
  top: 9px;
  width: 0;
  left: 50%;
}
.open #nav_toggle span:nth-child(3) {
  top: 9px;
  transform: rotate(-45deg);
}



/*中身*/
.hamburger_nav {
  background: #fff;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: -1;
  text-align: center;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.6s ease, visibility 0.6s ease;
  padding: 120px 0;
  overflow-y: scroll;
  overflow-x: hidden;
}
.hamburger_nav::after{
	content: '';
	width: 100%;
	height: 90px;
	position: fixed;
	top: 0;
	left: 0;
	background: #fff;
	pointer-events: none;
	z-index: 1;
}
.hamburger_nav ul{
  margin-bottom: 40px;
}
.hamburger_nav ul li a {
  display: block;
  transition: 0.1s;
  line-height: 1.7;
  letter-spacing: 0.15em;
  font-size: 0.9rem;
  margin-bottom: 20px;
}
.hamburger_nav a span{
  display: block;
  font-family: "minion-pro", serif;
	font-weight: 500;
  letter-spacing: 0.2em;
  color: #bbb;
  font-size: 0.8em;
}
/* .hamburger_nav a span::first-letter{
  color: #000;
} */
.hamburger_nav ul li{
  opacity: 0;
  transform: translateX(200px);
  transition: transform 0.6s ease, opacity 0.2s ease;
}
.hamburger_nav ul li:nth-child(2) {
  transition-delay: 0.15s;
}
.hamburger_nav ul li:nth-child(3) {
  transition-delay: 0.3s;
}
.hamburger_nav ul li:nth-child(4) {
  transition-delay: 0.45s;
}
.hamburger_nav ul li:nth-child(5) {
  transition-delay: 0.6s;
}
.hamburger_nav ul li:nth-child(6) {
  transition-delay: 0.75s;
}
.hamburger_nav ul li:nth-child(7) {
  transition-delay: 0.9s;
}

.hamburger_nav .m_contact{
  opacity: 0;
  transform: translateX(200px);
  transition: transform 0.6s ease, opacity 0.2s ease;
}


/*ホバー*/
.hamburger_nav ul li a:hover{
  opacity: 0.6;
}


/* open */
.open{
  overflow: hidden;
}
.open .hamburger_nav{
  visibility: visible;
  opacity: 1;
}
.open .hamburger_nav li{
  opacity: 1;
  transform: translateX(0);
  transition: transform 1s ease, opacity 0.9s ease;
}
.open .hamburger_nav .m_contact{
  opacity: 1;
  transform: translateX(0);
  transition: transform 2s ease, opacity 3s ease;
}


/*ブレイクポイントのみ変更*/
@media (max-width: 960px){
  .hamburger_menu #nav_toggle{
    display: block;
  }
}